curl --request POST \
--url https://api.withterminal.com/tsp/v1/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "24hos-eld",
"credentials": {
"username": "<string>",
"password": "<string>"
},
"company": {
"name": "<string>",
"dotNumbers": [
"<string>"
]
},
"options": {
"ingestHistoryFromSourceSystem": true
},
"externalId": "<string>",
"syncMode": "automatic",
"backfill": {
"startFrom": "2021-01-06T03:24:53.000Z",
"days": 123
},
"tags": [
"Tag Name"
],
"agreements": [
{
"agreementUrl": "<string>",
"ipAddress": "127.0.0.1",
"acceptedAt": "2021-01-06T03:24:53.000Z",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36"
}
]
}
'import requests
url = "https://api.withterminal.com/tsp/v1/connections"
payload = {
"provider": "24hos-eld",
"credentials": {
"username": "<string>",
"password": "<string>"
},
"company": {
"name": "<string>",
"dotNumbers": ["<string>"]
},
"options": { "ingestHistoryFromSourceSystem": True },
"externalId": "<string>",
"syncMode": "automatic",
"backfill": {
"startFrom": "2021-01-06T03:24:53.000Z",
"days": 123
},
"tags": ["Tag Name"],
"agreements": [
{
"agreementUrl": "<string>",
"ipAddress": "127.0.0.1",
"acceptedAt": "2021-01-06T03:24:53.000Z",
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '24hos-eld',
credentials: {username: '<string>', password: '<string>'},
company: {name: '<string>', dotNumbers: ['<string>']},
options: {ingestHistoryFromSourceSystem: true},
externalId: '<string>',
syncMode: 'automatic',
backfill: {startFrom: '2021-01-06T03:24:53.000Z', days: 123},
tags: ['Tag Name'],
agreements: [
{
agreementUrl: '<string>',
ipAddress: '127.0.0.1',
acceptedAt: '2021-01-06T03:24:53.000Z',
userAgent: 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36'
}
]
})
};
fetch('https://api.withterminal.com/tsp/v1/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "conn_01GV12VR4DJP70GD1ZBK0SDWFH",
"company": {
"name": "Frank's Trucking",
"dotNumbers": [
"1234567"
]
},
"account": {
"name": "Frank's Trucking",
"dotNumbers": [
"1234567"
],
"user": {
"sourceId": "1234567",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com"
}
},
"provider": {
"code": "geotab",
"name": "Geotab"
},
"syncMode": "automatic",
"token": "con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4",
"createdAt": "2021-01-06T03:24:53.000Z",
"updatedAt": "2021-01-06T03:24:53.000Z",
"status": "connected",
"options": {
"ingestHistoryFromSourceSystem": true
},
"linkUrl": "https://link.withterminal.com/connection/{CONNECTION_ID}?key={PUBLISHABLE_KEY}",
"externalId": "1234",
"sourceId": "123456789",
"tags": [
"Tag Name"
],
"filters": {
"vehicles": {
"status": "active",
"excludeIds": [
"vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"includeIds": [
"vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC"
]
},
"drivers": {
"status": "active",
"excludeIds": [
"drv_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"includeIds": [
"drv_01D8ZQFGHVJ858NBF2Q7DV9MNC"
]
}
}
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "invalid_credentials",
"message": "<string>",
"detail": [
{
"message": "<string>",
"path": "<string>",
"suggestion": "<string>",
"context": {}
}
]
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Create Connection
Create a new connection via API. This endpoint can be used to provide a completely custom connection creation experience for your customers.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
- 24HOS ELD
- 3MD ELD
- 3PL TEK
- 888 ELD
- ABC ELD
- Action ELD
- ADA ELD
- Advantage Knights ELD
- Advantage One
- ADX Fleet ELD
- AFS World ELD
- AI ELD
- AirELD
- AirIQ
- Alfa ELD
- Allways Track
- Alpha E-Logbook
- Amber ELD
- AMPM ELD
- Apex ELD
- Apex Ultima
- Apollo
- Apollo Compass
- Apollo ELD
- Argos Connected Solutions
- ASAP ELD
- AT ELD
- Attrix
- AUTOGRI ELD
- Avanguard ELD
- AWA ELD
- AwareGPS
- Axion Route
- Azuga
- BigRoad
- Bison Elog
- Black Bear
- Blue Arrow Telematics
- Blue Horse ELD
- Blue Ink Tech
- Blue Star ELD
- BST ELD
- Captain ELD
- ClearPathGPS
- Club ELD
- Clutch ELD
- Cobra ELD
- CoGo ELD
- Columbus ELD
- CommandGPS
- Conti-GO
- Coretex
- Counting Trucks
- Daily ELD
- Daily ELD Plus
- Dashboard ELD
- Delta Solutions ELD
- DFL ELD
- DIALOG ELD
- Digital ELD
- DLog ELD
- Dragon ELD
- Dream ELD
- Dreyev
- DriverBook
- DriveSafe ELD
- DSG Elogs
- DY ELD
- DY+ ELD
- Dynamic ELD
- E-Log by ETM
- Eagle Wireless
- eBlue Sun Logs
- Egreen ELD
- Egreen ELD
- ELD Books
- ELD Connection
- ELD Desired
- ELD for You
- ELD Mandate
- ELD Mandate HOS
- ELD Mandate Plus
- ELD Mandate Prime
- ELD Mandate Pro
- ELD One
- ELD Pro Solution
- ELD Rider
- ELD2GO
- ELD4Trucking
- ELD88
- ELD99
- Eld995
- ELDRoad
- ELDTREX
- Elog42
- Empire Logs
- Ensi Log
- Enterprise ELD
- Envision ELD
- EnVue Telematics
- EquipmentShare
- EROAD
- EVA ELD
- EVO ELD
- Express Way ELD
- Extreme ELD
- Ezlogz
- EzToTrack
- Factor ELD
- Factor ELD
- First ELD
- FIRSTGATE ELD
- Five ELD
- Flash ELogs
- Fleet Complete Hub
- Fleet Profit Center
- Fleet Track
- FleetHunt
- Fleetistics
- FleetPulse
- FleetSharp
- FleetVision
- FLEX ELD
- FM ELD
- Force Fleet
- Fort Knox ELD
- Fortune ELD
- Forza ELD
- Geoforce
- Geotab
- Geotab AT&T
- Geothentic
- Globcom ELD
- GoFleet
- GoGPS
- Good Deal GPS
- Gorilla Safety
- GPS Insight
- GPS Tracking Canada
- GPS Trackit
- GPSTab
- Grand ELD
- GrayBox Solutions
- Green Light ELD
- Gridline
- GT ELD
- Hapn
- HCSS eLogs
- Hero ELD
- High Point GPS
- Highest ELD
- Hive ELD
- Horizon ELD
- HOS Reporter Plus
- HOS247
- Hunter ELD
- ID ELD
- ILog ELD
- ILog ELD
- Infinity ELD
- Inspire ELD
- IntelliShift
- Interstate Freeway
- Intime ELD
- IoTab
- Ironman ELD
- ISAAC Instruments
- JJ Keller
- Just ELD
- Kinexa
- Konexial
- KSK ELD
- Leader ELD
- Legacy ELD
- Level ELD
- Light & Travel ELD
- Linxup
- Log Plus ELD
- Logfleet
- LOOKTRUCK ELD
- loopELD
- Lucid ELD
- Luna ELD
- Lytx
- Lytx One
- Maestral ELD
- Map ELOG Corp
- Masana ELD
- MasterELD
- Matrack
- MAX ELD
- MDM ELD
- MICHELIN Connected Fleet
- Monarch Tracking
- Monster ELD
- Moonlight ELD
- Motion ELD
- Motion ELD
- Motive
- MOTOsafety
- Mountain ELD
- MyWay ELD
- NEO ELD
- Netradyne
- New ELD World
- Nexar
- Next Fleet ELD
- NexTraq
- Night Watch ELD
- Noor ELD
- Novio ELD
- Nuuk
- Omega ELD
- Omnitracs
- Omnitracs ES
- Omnitracs OT1
- Omnitracs XRS
- One Source EW ELD
- One System ELD
- OneStep GPS
- Onroad ELD
- Ontime ELD
- Optima ELD
- Orient ELD
- Orient Star ELD
- Orion ELD
- Ozod Express ELD
- Panda ELD
- Paragon ELD
- PDSINC ELD
- Peak ELD
- Pedigree OneView
- PeopleNet
- Phantom ELD
- Phoenix ELD
- Pioneer ELD Solution
- Platinum ELD
- PoP ELD
- PowerTrucks ELD
- PremierRide Logs
- Premium ELD
- Prestige ELD
- Pro Ride ELD
- Project ELD
- ProLogs
- ProTracking ELD
- PTI ELD
- Quantum ELD
- Quartix
- Quick Elogs ELD
- Radical ELD
- Rand McNally
- Rand McNally DriverConnect
- Rand McNally ELD
- Rand Platform
- Raven Connected
- ReadySet Papeld
- RealELD
- RedFox ELD
- Regulog ELD
- Reliable ELD
- Remax ELD
- Renaissance ELD
- Ridehub ELD
- Rigbot
- Right Trucking
- Ring ELD
- RoadReady Solutions
- RoadStar
- Robinhood ELD
- Rock ELD
- Rooya
- Route ELD
- Route One GO
- RouteMate
- Royal ELD
- RTE Logs
- Run ELD
- Safe Lane ELD
- SAFER ELD
- Samsara
- Sandbox
- SBA ELD
- Secure Path ELD
- SF ELD
- Sharp ELD
- Shelby ELD
- Simba ELD
- Simple Way ELD
- Simplex ELD2Go
- Smart Choice Logs
- Smart eLog
- SmartDrive
- Smartelds
- Solution ELD
- Sparkle ELD
- Speedline ELD
- Spireon
- Spireon FleetLocate
- Spireon FleetLocate Transportation
- Split ELD
- Sprint ELD
- SR ELD
- Startrucks ELD
- Starway ELD
- State ELOG
- State ELOG Beta
- Stellar ELD
- SUN ELD
- SUNRISER ELD
- Sunset Logbook
- Support ELD
- Surfsight
- Swift ELD
- Switchboard
- Synergy ELD
- T-Mobile SyncUP
- Teddy ELD
- Teletrac Navman
- Teletrac Navman 360
- Teletrac Navman Director
- Tempus ELD
- Tenna
- TFM ELD
- Top Compliance ELD
- Top Tracking System
- Track Truck ELD
- Track Your Truck
- Trackease
- TrackEnsure
- Trackmile
- TrackPro ELD
- Traclog ELD Solutions
- Transflo
- Transit ELD
- Transit Tracking ELD
- Trendy ELD
- Trimble
- Trip ELD
- Truckford ELD
- Truckstaff ELD
- TruckX
- True Road ELD
- Trust ELD
- TT ELD
- TX ELD
- TXT DashCam
- TXT ELD
- Under Control ELD
- Unique ELD
- Unity ELD
- US Power ELD
- USfast ELD
- UzbPrime ELD
- Vector ELD
- Verizon Connect
- Verizon Connect Fleet
- Verizon Connect Reveal
- Vista ELD
- Vitality ELD
- Vlog ELD
- VRD Logs
- VRH ELD
- Vulcansols
- WBCS Group LLC
- Webfleet
- Wex Telematics
- Wheels eLog
- Wizefleet ELD
- XELD
- Xpert Logs
- Xplore ELD
- YouLog ELD
- Zaphira ELD
- Zenduit Zendu One
- Zenith ELD
- Zero ELD
- Zeromax ELD
- Zippy ELD
- Zonar Ground Traffic Control
- Zonar Ignition
24hos-eld Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Omnitracs Options
- Omnitracs ES Options
- Omnitracs XRS Options
Show child attributes
Show child attributes
Enum values:
automatic: Terminal will keep this connections data up to datemanual: Terminal will only sync data upon request
automatic, manual Optional backfill to be requested upon successful connection. Will start from NOW if not provided.
Show child attributes
Show child attributes
The agreements to link the connection to.
Show child attributes
Show child attributes
Response
Created
The connection your application has with your customer's TSP.
"conn_01GV12VR4DJP70GD1ZBK0SDWFH"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Enum values:
automatic: Terminal will keep this connections data up to datemanual: Terminal will only sync data upon request
automatic, manual This token is used when interacting with a connections' data.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
The current status of the connection.
connected, disconnected, archived, pending_deletion - Omnitracs Options
- Omnitracs ES Options
- Omnitracs XRS Options
Show child attributes
Show child attributes
The URL to send your user to in order to have them re-authenticate the connection.
"https://link.withterminal.com/connection/{CONNECTION_ID}?key={PUBLISHABLE_KEY}"
An optional ID from your system that can be used to reference connections.
"1234"
The ID used in the source system to represent the account this connection has or had access to.
This may be an organizationId or accountId.
Note: not all systems expose this information, in which case it may be undefined.
"123456789"
An optional list of tags from your system that can be used to reference connections.
Filters applied to connection data
Show child attributes
Show child attributes